--- title: "Get All Devices" slug: "get-all-devices-1" tags: ["IPS 11.1.x", "Reference"] updated: 2026-11-19T12:57:44Z published: 2026-11-19T12:57:44Z canonical: "docs.trellix.com/get-all-devices-1" --- > ## Documentation Index > Fetch the complete documentation index at: https://docs.trellix.com/llms.txt > Use this file to discover all available pages before exploring further. # Get All Devices This URL gets all the alert exception details available in the Manager. ### Resource URL GET /domain//device ### Request Parameters None ### Response Parameters Following fields are returned if the request parameters are correct, otherwise error details are returned. | Field Name | Description | Data Type | | --- | --- | --- | | `DeviceResponseList` | List of devices in the domain | Array | Details of alertExceptionDescriptorList: | Field Name | Description | Data Type | | --- | --- | --- | | `deviceId` | Unique device id | Number | | `deviceName` | Device name | String | | `deviceType` | Device type can be NTBA_APPLIANCE/IPS_SENSOR | String | | `updatingMode` | Update mode can ONLINE/ OFFLINE/ UNKNOWN | String | | `contactInformation` | Contact information | String | | `location` | Device location | String | ### Example **Request** GET [https:///sdkapi/domain/0/device](https://<NSM_IP>/sdkapi/domain/0/device) **Response** ``` {    "DeviceResponseList": [        {            "deviceId": 1001,            "deviceName": "NS7350_10",            "deviceType": "IPS_NAC_SENSOR",            "updatingMode": "ONLINE",            "contactInformation": null,            "location": null        },        {            "deviceId": 1002,            "deviceName": "NS9100_2_18",            "deviceType": "IPS_NAC_SENSOR",            "updatingMode": "ONLINE",            "contactInformation": null,            "location": null        }    ] } ``` ### Error Information Following error code is returned by this URL: | S.No | HTTP Error Code | SDK API errorId | SDK API errorMessage | | --- | --- | --- | --- | | 1 | 404 | 1105 | Invalid domain |